Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class DSAKeyPairGenerator

    java.lang.Object
      |
      +--java.security.KeyPairGeneratorSpi
            |
            +--com.ibm.crypto.fips.provider.DSAKeyPairGenerator

All Implemented Interfaces:
  AlgorithmStatus

public class DSAKeyPairGenerator
extends java.security.KeyPairGeneratorSpi
implements AlgorithmStatus

This class is a concrete implementation for the generation of a pair of DSA keys

Version:
  1.0
Author:
  OTI

Constructor Summary
`DSAKeyPairGenerator()`

Method Summary
`java.security.KeyPair` | `generateKeyPair()` Answers a newly generated key pair.
`void` | `initialize(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)` Initialize the receiver to use a given secure random generator, and generate keys from the provided set of parameters.
`void` | `initialize(int keySize, java.security.SecureRandom random)` Initialize the receiver to use a given secure random generator, and generate keys of a certain size.
`protected java.security.KeyPair` | `internalGenerateKeyPair()`
`boolean` | `isFipsApproved()` Module identifies if the cryptographic operation (algorithm) is FIPS certified

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAKeyPairGenerator

    public DSAKeyPairGenerator()

Method Detail

### isFipsApproved

    public boolean isFipsApproved()

  Description copied from interface: `AlgorithmStatus`
  Module identifies if the cryptographic operation (algorithm) is FIPS certified
  Specified by:
    `isFipsApproved` in interface `AlgorithmStatus`
  See Also:
    `AlgorithmStatus.isFipsApproved()`

### initialize

    public void initialize(java.security.spec.AlgorithmParameterSpec params,
                           java.security.SecureRandom random)
                    throws java.security.InvalidAlgorithmParameterException

  Initialize the receiver to use a given secure random generator, and generate keys from the provided set of parameters.
  Overrides:
    `initialize` in class `java.security.KeyPairGeneratorSpi`
  Parameters:
    `params` - AlgorithmParameterSpec parameters for key generation
    `random` - SecureRandom New secure random to use

### initialize

    public void initialize(int keySize,
                           java.security.SecureRandom random)

  Initialize the receiver to use a given secure random generator, and generate keys of a certain size.
  Overrides:
    `initialize` in class `java.security.KeyPairGeneratorSpi`
  Parameters:
    `keySize` - int New size of keys, in bits
    `random` - SecureRandom New secure random to use

### generateKeyPair

    public java.security.KeyPair generateKeyPair()

  Answers a newly generated key pair.
  Overrides:
    `generateKeyPair` in class `java.security.KeyPairGeneratorSpi`
  Returns:
    a newly generated key pair.
  Throws:
    `FIPSRuntimeException` - if SelfTest.isFipsRunnable returns false.

### internalGenerateKeyPair

    protected java.security.KeyPair internalGenerateKeyPair()

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD